Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface Typedef

All Known Implementing Classes:
  TypedefImpl

    public interface Typedef

A representation of the model object 'Typedef'.

The following features are supported:

- `Base`
- `Condition`

See Also:
  `ImperativeOCLPackage.getTypedef()`

Method Summary
`EClassifier` | `getBase()` Returns the value of the 'Base' reference
`OCLExpression` | `getCondition()` Returns the value of the 'Condition' containment reference
`void` | `setBase(EClassifier value)` Sets the value of the '`Base`' reference
`void` | `setCondition(OCLExpression value)` Sets the value of the '`Condition`' containment reference

Method Detail

### getBase

    EClassifier getBase()

  Returns the value of the 'Base' reference.

  If the meaning of the 'Base' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Base' reference.
  See Also:
    `setBase(EClassifier)`, `ImperativeOCLPackage.getTypedef_Base()`

### setBase

    void setBase(EClassifier value)

  Sets the value of the '`Base`' reference.

  Parameters:
    `value` - the new value of the 'Base' reference.
  See Also:
    `getBase()`

### getCondition

    OCLExpression getCondition()

  Returns the value of the 'Condition' containment reference.

  If the meaning of the 'Condition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Condition' containment reference.
  See Also:
    `setCondition(OCLExpression)`, `ImperativeOCLPackage.getTypedef_Condition()`

### setCondition

    void setCondition(OCLExpression value)

  Sets the value of the '`Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Condition' containment reference.
  See Also:
    `getCondition()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD